{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": "perl",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--align"
                    },
                    "id": "#ncbiblast.cwl/align"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--alignments"
                    },
                    "id": "#ncbiblast.cwl/alignments"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/ebi-wp/webservice-cwl/webservice-clients/perl/ncbiblast.pl"
                    },
                    "id": "#ncbiblast.cwl/command"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--compstats"
                    },
                    "id": "#ncbiblast.cwl/compstats"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--database"
                    },
                    "id": "#ncbiblast.cwl/database"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--dropoff"
                    },
                    "id": "#ncbiblast.cwl/dropoff"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--email"
                    },
                    "id": "#ncbiblast.cwl/email"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--exp"
                    },
                    "id": "#ncbiblast.cwl/exp"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--filter"
                    },
                    "id": "#ncbiblast.cwl/filter"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--gapalign"
                    },
                    "id": "#ncbiblast.cwl/gapalign"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--gapext"
                    },
                    "id": "#ncbiblast.cwl/gapext"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--gapopen"
                    },
                    "id": "#ncbiblast.cwl/gapopen"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--matrix"
                    },
                    "id": "#ncbiblast.cwl/matrix"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--maxJobs"
                    },
                    "id": "#ncbiblast.cwl/maxJobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--multifasta"
                    },
                    "id": "#ncbiblast.cwl/multifasta"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--outfile"
                    },
                    "id": "#ncbiblast.cwl/outfile"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--outformat"
                    },
                    "id": "#ncbiblast.cwl/outformat"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--program"
                    },
                    "id": "#ncbiblast.cwl/program"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--scores"
                    },
                    "id": "#ncbiblast.cwl/scores"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--seqrange"
                    },
                    "id": "#ncbiblast.cwl/seqrange"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--sequence"
                    },
                    "id": "#ncbiblast.cwl/sequence_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--sequence"
                    },
                    "id": "#ncbiblast.cwl/sequence_string"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--stype"
                    },
                    "id": "#ncbiblast.cwl/type"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--useSeqId"
                    },
                    "id": "#ncbiblast.cwl/useSeqId"
                }
            ],
            "id": "#ncbiblast.cwl",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "*.accs.*"
                    },
                    "id": "#ncbiblast.cwl/blast_array_accs"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "*.ids.*"
                    },
                    "id": "#ncbiblast.cwl/blast_ids"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "*.sequence.txt"
                    },
                    "id": "#ncbiblast.cwl/blast_sequence"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "perl",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/ebi-wp/webservice-cwl/webservice-clients/perl/phobius.pl"
                    },
                    "id": "#phobius.cwl/command"
                },
                {
                    "type": "string",
                    "doc": "Submitter's email",
                    "inputBinding": {
                        "prefix": "--email"
                    },
                    "default": "test@ebi.ac.uk",
                    "id": "#phobius.cwl/email"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#phobius.cwl/format-results/short",
                                "#phobius.cwl/format-results/long",
                                "#phobius.cwl/format-results/grp",
                                "#phobius.cwl/format-results/raw"
                            ],
                            "inputBinding": {
                                "prefix": "--format"
                            }
                        }
                    ],
                    "id": "#phobius.cwl/format-results"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#phobius.cwl/input-file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--jobid"
                    },
                    "id": "#phobius.cwl/jobid"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--outfile"
                    },
                    "default": "phobius_results",
                    "id": "#phobius.cwl/outfile"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--outformat"
                    },
                    "default": "out",
                    "id": "#phobius.cwl/outformat"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--paramDetail"
                    },
                    "id": "#phobius.cwl/paramdetails"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--params",
                        "position": 1
                    },
                    "id": "#phobius.cwl/params"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--pollFreq"
                    },
                    "id": "#phobius.cwl/pollfreq"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--polljob"
                    },
                    "id": "#phobius.cwl/polljob"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "--sequence"
                    },
                    "id": "#phobius.cwl/sequence"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--title"
                    },
                    "id": "#phobius.cwl/title"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*phobius_results.out*"
                    },
                    "id": "#phobius.cwl/phobius_out"
                }
            ],
            "id": "#phobius.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/database"
                },
                {
                    "type": "string",
                    "id": "#main/email"
                },
                {
                    "type": "string",
                    "id": "#main/outformat"
                },
                {
                    "type": "string",
                    "id": "#main/program"
                },
                {
                    "type": "string",
                    "id": "#main/sequence"
                },
                {
                    "type": "string",
                    "id": "#main/type"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/phobius_step/phobius_out",
                    "id": "#main/workflow_output"
                }
            ],
            "steps": [
                {
                    "run": "#ncbiblast.cwl",
                    "in": [
                        {
                            "source": "#main/database",
                            "id": "#main/ncbiblast_step/database"
                        },
                        {
                            "source": "#main/email",
                            "id": "#main/ncbiblast_step/email"
                        },
                        {
                            "source": "#main/outformat",
                            "id": "#main/ncbiblast_step/outformat"
                        },
                        {
                            "source": "#main/program",
                            "id": "#main/ncbiblast_step/program"
                        },
                        {
                            "source": "#main/sequence",
                            "id": "#main/ncbiblast_step/sequence_string"
                        },
                        {
                            "source": "#main/type",
                            "id": "#main/ncbiblast_step/type"
                        }
                    ],
                    "out": [
                        "#main/ncbiblast_step/blast_sequence"
                    ],
                    "id": "#main/ncbiblast_step"
                },
                {
                    "run": "#phobius.cwl",
                    "in": [
                        {
                            "source": "#main/email",
                            "id": "#main/phobius_step/email"
                        },
                        {
                            "source": "#main/ncbiblast_step/blast_sequence",
                            "id": "#main/phobius_step/sequence"
                        }
                    ],
                    "out": [
                        "#main/phobius_step/phobius_out"
                    ],
                    "id": "#main/phobius_step"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
